Public Class BasePage
Inherits System.Web.UI.Page
#Region "Private Fields"
    Private _metaName As String
    Private _metaContent As String
    Private _MetaTitle As String
#End Region
#Region "Public Properties"
    Public Property MetaName() As String
        Get
            Return _metaName
        End Get
        Set(ByVal value As String)
            _metaName = value
        End Set
    End Property
    Public Property MetaContent() As String
        Get
            Return _metaContent
        End Get
        Set(ByVal value As String)
            _metaContent = value
        End Set
    End Property
    Public Property MetaTitle() As String
        Get
            Return _MetaTitle
        End Get
        Set(ByVal value As String)
            _MetaTitle = value
        End Set
    End Property
#End Region
#Region "Page Methods"
    Private Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LoadComplete
        If (Not Page.IsPostBack) Then
            Dim pageMetaTag As New HtmlMeta()
            pageMetaTag.Name = _metaName
            pageMetaTag.Content = _metaContent
            Header.Controls.Add(pageMetaTag)
            Page.Title = _MetaTitle
        End If
    End Sub
#End Region

End Class